Mini vMac 3.5.7 and G3

About Mini vMac and all other 68k emulators, including SoftMac, Executor, and MESS.

Moderators: Cat_7, Ronald P. Regensburg

Post Reply
fm2
Space Cadet
Posts: 5
Joined: Sun Jun 24, 2012 6:06 pm

Mini vMac 3.5.7 and G3

Post by fm2 »

New version of Mini vMac 3.5.7 (128, Plus, II) dont run on G3 (iBook G3/800, OS X 10.4.11).
Console says: incompatible cpu-subtype.
User avatar
adespoton
Forum All-Star
Posts: 3108
Joined: Fri Nov 27, 2009 5:11 am
Location: Emaculation.com
Contact:

Re: Mini vMac 3.5.7 and G3

Post by adespoton »

That means you downloaded the app for Intel Macs. You need a PPC download like this one: http://www.gryphel.com/d/minivmac/miniv ... ch.bin.tgz

If the download has imch or mc64 in the name, it won't run on your system. You can only run the mach builds (or the Classic builds under Classic).

Or are you getting the incompatible subtype error on the mach builds too? It's possible the default build is G4+ (using Altivec).

Have you tried using a custom variation?
fm2
Space Cadet
Posts: 5
Joined: Sun Jun 24, 2012 6:06 pm

Re: Mini vMac 3.5.7 and G3

Post by fm2 »

Custom variation "Macintosh OS X - Power PC" supports G3 not G4+ only? I'll try ASAP.
fm2
Space Cadet
Posts: 5
Joined: Sun Jun 24, 2012 6:06 pm

Re: Mini vMac 3.5.7 and G3

Post by fm2 »

I tried custom variation #8848 "-t mach -dmo 1" -- no success on iBook G3, "incompatible cpu-subtype". I have to return back to 3.4.1 with "-mppc" and "-mach" working on G3s.
User avatar
adespoton
Forum All-Star
Posts: 3108
Joined: Fri Nov 27, 2009 5:11 am
Location: Emaculation.com
Contact:

Re: Mini vMac 3.5.7 and G3

Post by adespoton »

That's odd... probably worth letting Paul know in the feedback section: http://www.gryphel.com/c/mail/v5.html

However, I also see that his account is currently active on here, so he may see your thread and look into it :)
User avatar
gryphel
Nice Guy
Posts: 106
Joined: Sat Nov 17, 2007 6:46 pm

Re: Mini vMac 3.5.7 and G3

Post by gryphel »

From Gryphel Project Mail:

Thanks for the report. I have verified this issue on PowerPC G3. It turns out my GCC compiler version defaults to requiring G4 or later. I think I have a fix (changing the command line arguments generated by the Mini vMac build system).

The fix should be included in the next version, probably Mini vMac 3.6, unless some other serious problem turns up in 3.5. (Since nobody reported this in the 4 month beta period, I guess it isn’t too high priority.)
fm2
Space Cadet
Posts: 5
Joined: Sun Jun 24, 2012 6:06 pm

Re: Mini vMac 3.5.7 and G3

Post by fm2 »

Thanks for response. I'll wait for 3.6.x )
fm2
Space Cadet
Posts: 5
Joined: Sun Jun 24, 2012 6:06 pm

Re: Mini vMac 3.5.7 and G3

Post by fm2 »

3.5.8 seems to work fine on G3 @10.4.11. Thanks )
Post Reply